package com.bonus.canteen.core.marketing.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/** @deprecated */
@Deprecated
@ApiModel("根据id获取生效范围")
public class MktEffectiveByEffIdVO implements Serializable {
   @ApiModelProperty("范围id")
   private Long effId;
   @ApiModelProperty("范围名称")
   private String effName;
   @ApiModelProperty("生效范围类型(1-人员类,2-食堂类,3-商品类)")
   private Integer effType;
   @ApiModelProperty("人员id集合")
   private List<Long> custIdList;
   @ApiModelProperty("食堂集合")
   private List<MktEffectiveCanteenPageVO> canteenList;
   @ApiModelProperty("菜品id集合")
   private List<Long> dishesIdList;
   @ApiModelProperty("套餐id集合")
   private List<Long> packageIdList;
   @ApiModelProperty("商品id集合")
   private List<Long> productIdList;
   @ApiModelProperty("仓库Id集合")
   private List<Long> warehouseIdList;

   public Long getEffId() {
      return this.effId;
   }

   public String getEffName() {
      return this.effName;
   }

   public Integer getEffType() {
      return this.effType;
   }

   public List<Long> getCustIdList() {
      return this.custIdList;
   }

   public List<MktEffectiveCanteenPageVO> getCanteenList() {
      return this.canteenList;
   }

   public List<Long> getDishesIdList() {
      return this.dishesIdList;
   }

   public List<Long> getPackageIdList() {
      return this.packageIdList;
   }

   public List<Long> getProductIdList() {
      return this.productIdList;
   }

   public List<Long> getWarehouseIdList() {
      return this.warehouseIdList;
   }

   public void setEffId(final Long effId) {
      this.effId = effId;
   }

   public void setEffName(final String effName) {
      this.effName = effName;
   }

   public void setEffType(final Integer effType) {
      this.effType = effType;
   }

   public void setCustIdList(final List<Long> custIdList) {
      this.custIdList = custIdList;
   }

   public void setCanteenList(final List<MktEffectiveCanteenPageVO> canteenList) {
      this.canteenList = canteenList;
   }

   public void setDishesIdList(final List<Long> dishesIdList) {
      this.dishesIdList = dishesIdList;
   }

   public void setPackageIdList(final List<Long> packageIdList) {
      this.packageIdList = packageIdList;
   }

   public void setProductIdList(final List<Long> productIdList) {
      this.productIdList = productIdList;
   }

   public void setWarehouseIdList(final List<Long> warehouseIdList) {
      this.warehouseIdList = warehouseIdList;
   }

}
